ACOS(3)

NAME
acos, acosf, acosl - arc cosine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
acos(double x);
float
acosf(float x);
long double
acosl(long double x);

DESCRIPTION
The acos(), acosf(), and acosl() functions compute the principal value of the arc cosine of x.

RETURN VALUES
These functions return the arc cosine in the range [0,] radians. If:

    |x| > 1,

acos(x) raises an invalid exception and returns an .

SEE ALSO
asin(3), atan(3), atan2(3), cos(3), cosh(3), fenv(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

STANDARDS
The acos(), acosf(), and acosl() functions conform to isoC-99.